Indie game storeFree gamesFun gamesHorror games
Game developmentAssetsComics
SalesBundles
Jobs
(1 edit)

Hey

Game can't launch unfortunately. I bet my McBookPro is too old to get it work (OS10.14.5, 16gRAM, Nvidia GT 650M). What do you think?

Seems like I was eager to press the buy button.

Thanks

Fred

The game requires opengl 3.2, which that graphics card should be able to do. Can you send in your logs (install folder / logs) to our email (wildermyth at gmail) and we'll take a look?